Why did OpenSUS# Leap 42.1 stop with updates at PHP 5.5.14?

Why did OpenSUSE Leap 42.1 stop with updates at PHP 5.5.14?

The PHP changelog lists 5.5.38 as the last 5.5 update and 5.6.27 as the last 5.6 update.

How should one go about getting 5.6.27 on Leap 42.1?

ChangeLog: http://php.net/ChangeLog-5.php

==> php --version
PHP 5.5.14 (cli)

How should one go about getting 5.6.27 on Leap 42.1?

ChangeLog: http://php.net/ChangeLog-5.php

==> php --version
PHP 5.5.14 (cli)

Subscribe to the languages repo and upgrade from there…
https://forums.opensuse.org/showthread.php/519425-PHP-How-change-to-5-6-1?p=2789055#post2789055

BTW, there should be know need to change the priority, just change vendor as described here

https://en.opensuse.org/SDB:Vendor_change_update#Using_YaST_2
https://en.opensuse.org/SDB:Vendor_change_update#Using_zypper_2

Thank you. I swear :slight_smile: I searched for PHP in these forums and didn’t find that one.

I’ve been away for awhile… and getting up to speed again. I use to go YaST → Software Repositories → Add → Community Repositories and these types of repositories were listed. That doesn’t see to be the case any longer. There are only 9 repositories listed (Packman, nVidia, Man, AMD, Untest, Main Debug, Update, Adobe, and Libdvdcss).

Is there a list of repositories and their purposes? Where’s the official opensuse documentation these days…

Is there a list of repositories and their purposes?

I generally start with a package search eg php5

https://software.opensuse.org/packages

Where’s the official opensuse documentation these days…

https://en.opensuse.org/openSUSE:Documentation_List_of_Manuals